---
title: "Minecraft"
description: "Instructions for joining the official™ Secluded.Site© Minecraft® server"
date: 2020-05-29T23:37:57-04:00
cover: /assets/pngs/minecraft.png
toc: true
---
Just a fun server for some friends to play on. The original was a mixture of survival and creative with some massive cities, castles, boats, towers, etc. but everyone eventually got bored with vanilla. Now, it has a few mods and we play more often.

## Joining
1. Set [TLauncher](https://tlauncher.org/en/) up. No account is necessary and
   you can enter whatever username you wish.
3. Download [the modpack](/mods.zip) and unzip it.
4. In TLauncher, click `TL mods` in the bottom right, `Create` button at the
   top, then select `Minecraft 1.15.2`.
5. Click the settings icon on the left, import all the extracted `.jar` files,
   then `Enter` game.
6. Server address is `mc.secluded.site`

There is a [global map](https://map.secluded.site/#overworld/0/14/796/379/64)
generated from *all* of the chunks my server has created. The in-game minimap
only shows where you have been but this one has everything. The red and green
squares are textures from mods that I haven't extracted yet. Will do soon™. To
add a banner for your home, [create a
flag](https://www.planetminecraft.com/banner/) then send me the PNG along with
your coordinates.

### Skins
There are two possible routes for custom skins. The first is through Mojang; if
you have a Mojang account, you can enter your username and other players will
see that skin. The second is through TLauncher itself and *doesn't* require a
Mojang account. Note, however, that only other TLauncher users will see it. For
that, simply create a TLauncher account and select your skin!

If you don't have an account with either Mojang or TLauncher, the default
[player skin](https://minecraft.gamepedia.com/Player) will be displayed.

## Rules
They're listed on signs by spawn but I'll put them here as well.

1. No griefing
2. Don't fuck with spawn
3. Don't be an ass

## Voice chat
We use Mumble for voice chat and installation/usage instructions can be found in
[NixNet's documentation.](https://docs.nixnet.services/Mumble) Under `Hosted
Communities`, join `Secluded MC`.

## Text chat
This is available in a few places. You can of course use the in-game chat but
there's also [Telegram](https://t.me/SecludedMC) and IRC. If you want to join
IRC, take a look at [the documentation](https://docs.nixnet.services/IRC) for
server details. The channel is `#minecraft`.

## Changelog

## Mod list
### Dimensions/Biomes
* [Terraforged](https://www.curseforge.com/minecraft/mc-mods/terraforged)
* [The Midnight](https://www.curseforge.com/minecraft/mc-mods/the-midnight)
* [The
  Bumblezone](https://www.curseforge.com/minecraft/mc-mods/the-bumblezone-forge)

### Blocks & Misc
* [MumbleLink](https://github.com/zsawyer/MumbleLink)
* [Minecolonies](https://www.curseforge.com/minecraft/mc-mods/minecolonies)
  * [Structurize](https://www.curseforge.com/minecraft/mc-mods/structurize)
* [Structurize](https://www.curseforge.com/minecraft/mc-mods/structurize)
* [Cyclic](https://www.curseforge.com/minecraft/mc-mods/cyclic)
* [Additional
  Light](https://www.curseforge.com/minecraft/mc-mods/additional-lights)
* [MrCrayfish's
  Furniture](https://www.curseforge.com/minecraft/mc-mods/mrcrayfish-furniture-mod)
* [MrCrayfish's Venture](https://mrcrayfish.com/mods?id=venture)
* [MrCrayfish's Enchantable](https://mrcrayfish.com/mods?id=enchantable)
* [MrCrayfish's Glasscutter](https://mrcrayfish.com/mods?id=glasscutter)
* [MrCrayfish's Goblin Traders](https://mrcrayfish.com/mods?id=goblintraders)
* [Simple Farming](https://www.curseforge.com/minecraft/mc-mods/simple-farming)
* [Refined
  Storage](https://www.curseforge.com/minecraft/mc-mods/refined-storage)

### Quality-of-life
* [Corpse](https://www.curseforge.com/minecraft/mc-mods/corpse)
* [Progressive
  Bosses](https://www.curseforge.com/minecraft/mc-mods/progressive-bosses)
* [Nether portal
  fix](https://www.curseforge.com/minecraft/mc-mods/netherportalfix)
* [Fast Leaf
  Decay](https://www.curseforge.com/minecraft/mc-mods/fast-leaf-decay)
* [Morpheus](https://www.curseforge.com/minecraft/mc-mods/morpheus)
* [Quark](https://www.curseforge.com/minecraft/mc-mods/quark)
  * [AutoRegLib](https://www.curseforge.com/minecraft/mc-mods/autoreglib)

### UI/HUD
* [Blur](https://www.curseforge.com/minecraft/mc-mods/blur)
* [Neat](https://www.curseforge.com/minecraft/mc-mods/neat)
* [Equipment
  Tooltips](https://www.curseforge.com/minecraft/mc-mods/equipment-tooltips)
* [Hwyla](https://www.curseforge.com/minecraft/mc-mods/hwyla)
* [JAOPCA](https://www.curseforge.com/minecraft/mc-mods/jaopca)
* [Appleskin](https://www.curseforge.com/minecraft/mc-mods/appleskin)
* [Voxelmap](https://www.curseforge.com/minecraft/mc-mods/voxelmap)

### Items
* [Nature's
  Compass](https://www.curseforge.com/minecraft/mc-mods/natures-compass)
* [Cooking for
  Blockheads](https://www.curseforge.com/minecraft/mc-mods/cooking-for-blockheads)
* [Miner's Helmet](https://www.curseforge.com/minecraft/mc-mods/miners-helmet)
* [Mining Gadgets](https://www.curseforge.com/minecraft/mc-mods/mining-gadgets)
* [Traveler's
  Backpack](https://www.curseforge.com/minecraft/mc-mods/travelers-backpack)

### Performance
* [Phosphor](https://www.curseforge.com/minecraft/mc-mods/phosphor-forge)
  * [MixinBootstrap](https://www.curseforge.com/minecraft/mc-mods/mixinbootstrap)
* [Lithium](https://www.curseforge.com/minecraft/mc-mods/lithium-forge)
  * [MixinBootstrap](https://www.curseforge.com/minecraft/mc-mods/mixinbootstrap)
* [Performant](https://www.curseforge.com/minecraft/mc-mods/performant)
  * [MixinBootstrap](https://www.curseforge.com/minecraft/mc-mods/mixinbootstrap)
* [FastFurnace](https://www.curseforge.com/minecraft/mc-mods/fastfurnace)
* [FastWorkbench](https://www.curseforge.com/minecraft/mc-mods/fastworkbench)
* [Clumps](https://www.curseforge.com/minecraft/mc-mods/clumps)
